summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xautogen.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index 3292973..858fca3 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -9,6 +9,10 @@ aclocal -I m4
autoheader
automake --add-missing
autoconf
+requires_pkgconfig=`which pkg-config 2>&1 >/dev/null`
+if [ $? -ne 0 ]; then
+ echo "Missing required pkg-config. Please install it on your system and run again."
+fi
if [ -z "$NOCONFIGURE" ]; then
./configure "$@"